@charset "utf-8";
/* CSS Document */

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
固定ページ
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

/* 共通 */

/* ページタイトル */

.page_title_wrap {
  &.no-img {
    padding-top: 18rem;
    margin-bottom: 6.4rem;
    @media screen and (max-width: 480px) {
      padding-top: 6rem;
      margin-bottom: 3.2rem;
    }
    h1 {
      text-align: center;
      font-weight: 700;
      font-size: var(--fsize_xxl);
      padding-bottom: 2em;
      line-height: 1.5;
      @media screen and (max-width: 480px) {
        font-size: var(--fsize_xl);
      }
      span {
        display: inline-block;
        letter-spacing: 0.1em;
        padding-left: 0.1em;
        position: relative;
        color: var(--color-deep-blue);
        &::after {
          content: "";
          display: block;
          position: absolute;
          width: 1.1em;
          height: 2px;
          background-color: var(--color-deep-blue);
          bottom: -1em;

          left: 50%;
          transform: translate(-50%, -50%);
        }
      }
    }
  }
  &.has-img {
    width: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    @media screen and (min-width: 481px) {
      height: 22vw;
      min-height: 36rem;
      max-height: 48rem;
      margin-bottom: 12rem;
    }
    @media screen and (max-width: 480px) {
      height: 18rem;
      margin-bottom: 4rem;
    }
    h1 {
      color: #fff;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      box-sizing: border-box;
      padding-top: 8rem;
      width: 100%;
      height: 100%;
      gap: 3rem;
      background-color: rgba(0, 0, 0, 0.3);
      @media screen and (max-width: 480px) {
        padding-top: 0;
        gap: 2rem;
      }
      .en {
        font-size: 6rem;
        letter-spacing: 0.05em;
        padding-left: 0.05em;
        position: relative;

        &::after {
          content: "";
          display: block;
          position: absolute;
          width: 1.1em;
          height: 2px;
          background-color: #fff;
          bottom: -1.5rem;
          left: 50%;
          transform: translate(-50%, -50%);
        }
        @media screen and (max-width: 480px) {
          font-size: 3.2rem;
          &::after {
            bottom: -1rem;
          }
        }
      }
      .ja {
        font-size: var(--fsize_xl);
        font-weight: 500;
        letter-spacing: 0.1em;
        padding-left: 0.1em;
        @media screen and (max-width: 480px) {
          font-size: var(--fsize_l);
        }
      }
    }
  }
}
/* スラッグ別 */
.contact_form {
  .page_title_wrap.has-img {
    background-image: url(../img/contact/title-img-contact.jpg);
    @media screen and (max-width: 480px) {
      background-image: url(../img/contact/title-img-contact-sp.jpg);
    }
  }
}
.post-type-archive-gallery,
.gallery {
  .page_title_wrap.has-img {
    background-image: url(../img/gallery/title-img-gallery.jpg);
    @media screen and (max-width: 480px) {
      background-image: url(../img/gallery/title-img-gallery-sp.jpg);
    }
  }
}
.company {
  .page_title_wrap.has-img {
    background-image: url(../img/company/title-img-company.jpg);
    @media screen and (max-width: 480px) {
      background-image: url(../img/company/title-img-company-sp.jpg);
    }
  }
}

.onlineshop {
  .page_title_wrap.has-img {
    background-image: url(../img/onlineshop/title-img-onlineshop.jpg);
    @media screen and (max-width: 480px) {
      background-image: url(../img/onlineshop/title-img-onlineshop-sp.jpg);
    }
  }
}
/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
オンラインショップ
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

.onlineshop {
  h2 {
    font-size: 6rem;
    text-align: center;
    margin: 2em auto 1em;
    @media screen and (max-width: 480px) {
      margin: 1em auto;
      font-size: 4.8rem;
    }
  }
  p {
    font-size: var(--fsize_l);
    text-align: center;
  }
}
/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
会社概要
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/
.company {
  .greetings {
    .inner {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      @media screen and (max-width: 480px) {
        display: block;
      }
      .catchcopy {
        font-size: min(5vw, 6rem);
        width: 90%;
        max-width: 980px;
        margin: 0 auto 0.5em;
        @media screen and (max-width: 480px) {
          font-size: 2.2rem;
          width: 100%;
        }
        span {
          display: inline-block;
          margin-bottom: 0.5em;
          &.right {
            float: right;
          }
        }
        &::after {
          content: "";
          display: block;
          clear: both;
        }
      }
      .text-wrap {
        width: 70%;
        @media screen and (max-width: 480px) {
          width: 100%;
        }
        h3 {
          font-size: var(--fsize_xl);
          line-height: 1.5;
          padding-bottom: 0.25em;
          border-bottom: 1px solid #000;
          margin-bottom: 1em;
          @media screen and (max-width: 480px) {
            font-size: var(--fsize_l);
          }
        }
        p {
          font-size: var(--fsize_l);
          line-height: 2;
          @media screen and (max-width: 480px) {
            font-size: var(--fsize_m);
            line-height: 1.75;
          }
        }
      }
      .img-wrap {
        width: 26%;
        max-width: 24rem;
        flex-shrink: 0;
        padding-top: 1rem;
        @media screen and (max-width: 480px) {
          width: 18rem;
          margin: 4rem auto 0;
          padding-top: 0;
        }
        .name {
          font-size: var(--fsize_s);
          text-align: center;
          line-height: 2;
          margin-top: 1em;
          letter-spacing: 0.05em;
          span {
            font-size: 1.3em;
          }
        }
      }
    }
  }
  .inner {
    h2 {
      font-size: var(--fsize_xxl);
      letter-spacing: 0.1em;
      padding-left: 0.5em;
      border-left: 0.2em solid var(--color-deep-blue);
      line-height: 1.75;
      @media screen and (max-width: 980px) {
        margin-bottom: 1em;
        font-size: var(--fsize_xl);
      }
    }
    &.data-wrap {
      position: relative;
      margin-bottom: 12rem;
      @media screen and (max-width: 480px) {
        margin-bottom: 6rem;
      }
      h2 {
        position: absolute;
        top: 0;
        left: 0;
        @media screen and (max-width: 980px) {
          position: static;
        }
      }
      dl {
        margin-left: 30%;
        width: 70%;
        display: flex;
        flex-wrap: wrap;
        font-size: var(--fsize_m);
        line-height: 1.75;
        @media screen and (max-width: 980px) {
          margin-left: 0;
          width: 100%;
        }
        @media screen and (max-width: 480px) {
          font-size: var(--fsize_s);
        }
        dt,
        dd {
          padding-bottom: 2em;
          margin-bottom: 2em;
          border-bottom: 1px solid #999;
          box-sizing: border-box;
          &:first-of-type {
            padding-top: 2em;
            border-top: 1px solid #999;
          }
          @media screen and (max-width: 480px) {
            padding-bottom: 1em;
            margin-bottom: 1em;
            &:first-of-type {
              padding-top: 1em;
            }
          }
        }
        dt {
          width: 40%;
          color: #333;
          font-weight: 500;
          letter-spacing: 0.05em;
          word-break: keep-all;
          text-align: left;
          padding-right: 1em;
          @media screen and (max-width: 480px) {
            width: 28%;
          }
        }
        dd {
          width: 60%;
          @media screen and (max-width: 480px) {
            width: 72%;
          }
          ul {
            li {
              &::before {
                content: "・";
              }
            }
          }
        }
      }

      table {
        margin-left: 30%;
        width: 70%;
        font-size: var(--fsize_m);
        line-height: 2;
        @media screen and (max-width: 980px) {
          margin: 0;
          width: 100%;
        }
        @media screen and (max-width: 480px) {
          font-size: var(--fsize_s);
        }
        tbody {
          display: block;
          padding: 2em 0;
          border-top: 1px solid #999;
          border-bottom: 1px solid #999;
          @media screen and (max-width: 480px) {
            padding: 1em 0;
          }
          tr {
            display: block;
            &.margin {
              padding-top: 2em;
              margin-top: 2em;
              border-top: 1px solid #999;
              @media screen and (max-width: 480px) {
                padding-top: 1em;
                margin-top: 1em;
              }
            }

            th {
              color: #333;
              font-weight: 400;
              &.year {
                width: 3em;
              }
              &.month {
                width: 1.5em;
                text-align: right;
                padding-right: 0.25em;
              }
              &.tsuki {
                width: 1em;
                padding-right: 4em;
                @media screen and (max-width: 480px) {
                  padding-right: 2em;
                }
              }
            }
          }
        }
      }
    }
    &.equipment {
      h2 {
        margin-bottom: 1em;
      }
      h3 {
        font-size: var(--fsize_l);
        color: var(--color-deep-blue);
        line-height: 1.5;
        border-bottom: 1px solid var(--color-deep-blue);
        padding-bottom: 0.25em;
        margin: 2em 0 1em;
      }
      .img-equipment-wrap {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        margin-bottom: 2rem;
        @media screen and (max-width: 480px) {
          margin-bottom: 1rem;
        }
        .img-item {
          width: 24%;
          max-width: 276px;
          border-radius: 0.5rem;
          overflow: hidden;

          @media screen and (max-width: 480px) {
            width: 49%;
            margin-bottom: 2%;
          }
        }
      }
    }
  }
}
/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
交通アクセス
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

/* Googleマップ */
body.access .google_map_wrap {
  width: 100%;
  height: 60rem;

  iframe {
    width: 100%;

    @media screen and (max-width: 480px) {
      body.access .google_map_wrap {
        height: 100vw;
      }
    }
  }
}
